apiVersion: apps/v1
kind: Deployment
metadata:
  name: app-messages-deployment
  namespace: {{ .Values.app.namespace }}
  labels:
    app: messages
spec:
  replicas: {{ .Values.app.replicaCount }}
  selector:
    matchLabels:
      app: messages
  template:
    metadata:
      labels:
        app: messages
    spec:
      imagePullSecrets:
      - name: registrypullsecret
      containers:
      - name: messages-app
        image: {{ .Values.app.image.repository }}:{{ .Values.app.image.tag }}
        imagePullPolicy: {{ .Values.app.image.pullPolicy }}
        ports:
        - containerPort: {{ .Values.app.containerPort }}
        env:
        - name: DATABASE_HOST
          valueFrom:
            configMapKeyRef:
              name: app-config
              key: DATABASE_HOST
        - name: DATABASE_DATABASE
          valueFrom:
            configMapKeyRef:
              name: app-config
              key: DATABASE_DATABASE
        - name: DATABASE_USER
          valueFrom:
            secretKeyRef:
              name: app-secret
              key: DATABASE_USER
        - name: DATABASE_PASSWORD
          valueFrom:
            secretKeyRef:
              name: app-secret
              key: DATABASE_PASSWORD
        volumeMounts:
        - name: messages-pvc
          mountPath: /var/log
      - name: messages-logcollector
        image: alpine:latest
        command: ["tail", "-f", "/var/log/gunicorn.log"]
        volumeMounts:
        - name: messages-pvc
          mountPath: /var/log
      volumes:
        - name: messages-pvc
          persistentVolumeClaim:
            claimName: messages-pvc

